I cannot start GATK on MacOS X 10.6

Dear all,

I downloaded the up to date version of GATK. I tried to run it on an Apple computer running MacOS X 10.6 with Java SE 6.0, but GATK won't run. The console shows these errors:
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] Exception
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] in thread "main"
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] java.lang.UnsupportedClassVersionError: org/broadinstitute/sting/gatk/CommandLineGATK : Unsupported major.minor version 51.0
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.lang.ClassLoader.defineClass1(Native Method)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.security.AccessController.doPrivileged(Native Method)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
28/01/14 09.57.36 [0x0-0x3d03d].com.apple.JarLauncher[3730] at java.lang.ClassLoader.loadClass(ClassLoader.java:247)

What should I do?

Thanks

Marco

Best Answers

Answers

  • MarcoSMarcoS ItalyMember

    Java 6 is the last version of Java compatible with Mac OSX 10.6.8. Are the previous version of GATK compatible with Java 6?

Sign In or Register to comment.